Subject: Internal timers in deep sleep

From: [email-masked] (Tony Lindgren)
Date: Mon, 13 Feb 2012 09:26:34 -0800

Hi Marcus,

* Marcus Folkesson <[email-masked]> [120211 03:37]:
> Is it possible to speed up the time it takes to go to/from deepsleep?
> The pm_suspend() does a lot of things, eg. freeze processes, suspend
> drivers and so on.

Depending on the omap, you can already do suspend while idle or off
while idle. This means the RAM is in self-refresh and the omap is
either suspended or powered off in the idle loop. This is typically
done with a combination of constantly running 32 KiHz clocksource and
wake-up capable GPT1 clockevent timer.

If you have similar timers on your hardware, this may be the way to go.
In this case there's no need to freeze processes, so the latency is
quite minimal.

Regards,

Tony